Credits
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/credits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/credits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cast": [
{
"adult": false,
"character": "Stan Smith / Roger (voice)",
"credit_id": "5256e83b19c2956ff60ed46d",
"gender": 2,
"id": 52139,
"known_for_department": "Acting",
"name": "Seth MacFarlane",
"order": 0,
"original_name": "Seth MacFarlane",
"popularity": 28.996,
"profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg"
},
{
"adult": false,
"character": "Francine Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed3bb",
"gender": 1,
"id": 37600,
"known_for_department": "Acting",
"name": "Wendy Schaal",
"order": 1,
"original_name": "Wendy Schaal",
"popularity": 13.785,
"profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg"
},
{
"adult": false,
"character": "Hayley Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed371",
"gender": 1,
"id": 81668,
"known_for_department": "Acting",
"name": "Rachael MacFarlane",
"order": 2,
"original_name": "Rachael MacFarlane",
"popularity": 8.192,
"profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg"
},
{
"adult": false,
"character": "Steve Smith (voice)",
"credit_id": "5256e83b19c2956ff60ed409",
"gender": 2,
"id": 35091,
"known_for_department": "Acting",
"name": "Scott Grimes",
"order": 3,
"original_name": "Scott Grimes",
"popularity": 19.903,
"profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg"
},
{
"adult": false,
"character": "Klaus (voice)",
"credit_id": "527ae96619c29529e5088231",
"gender": 2,
"id": 23680,
"known_for_department": "Acting",
"name": "Dee Bradley Baker",
"order": 4,
"original_name": "Dee Bradley Baker",
"popularity": 14.248,
"profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg"
},
{
"adult": false,
"character": "Jeff Fischer (voice)",
"credit_id": "5eff3032f031740037523f8a",
"gender": 2,
"id": 5211,
"known_for_department": "Acting",
"name": "Jeff Fischer",
"order": 2073,
"original_name": "Jeff Fischer",
"popularity": 2.389,
"profile_path": "/wC4wsWAYZ51FNCb33GpDiCUrFDw.jpg"
}
],
"crew": [],
"id": 1433
}Credits
This endpoint get the latest season credits of a TV show.
GET
/
3
/
tv
/
{series_id}
/
credits
Credits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Query Parameters
Response
200 - application/json
Credits
Show child attributes
Show child attributes
Example:
[ { "adult": false, "character": "Stan Smith / Roger (voice)", "credit_id": "5256e83b19c2956ff60ed46d", "gender": 2, "id": 52139, "known_for_department": "Acting", "name": "Seth MacFarlane", "order": 0, "original_name": "Seth MacFarlane", "popularity": 28.996, "profile_path": "/8oQJqM51Z0Qtdb7sE6ZfX1peNCB.jpg" }, { "adult": false, "character": "Francine Smith (voice)", "credit_id": "5256e83b19c2956ff60ed3bb", "gender": 1, "id": 37600, "known_for_department": "Acting", "name": "Wendy Schaal", "order": 1, "original_name": "Wendy Schaal", "popularity": 13.785, "profile_path": "/qq9Jc77KD24FxxJrR7O2F3E6c8A.jpg" }, { "adult": false, "character": "Hayley Smith (voice)", "credit_id": "5256e83b19c2956ff60ed371", "gender": 1, "id": 81668, "known_for_department": "Acting", "name": "Rachael MacFarlane", "order": 2, "original_name": "Rachael MacFarlane", "popularity": 8.192, "profile_path": "/AnLEvMh9pl94uJOO2MnZFQB44b4.jpg" }, { "adult": false, "character": "Steve Smith (voice)", "credit_id": "5256e83b19c2956ff60ed409", "gender": 2, "id": 35091, "known_for_department": "Acting", "name": "Scott Grimes", "order": 3, "original_name": "Scott Grimes", "popularity": 19.903, "profile_path": "/oB0xperEt45g8Ti6lpObpi6c5XV.jpg" }, { "adult": false, "character": "Klaus (voice)", "credit_id": "527ae96619c29529e5088231", "gender": 2, "id": 23680, "known_for_department": "Acting", "name": "Dee Bradley Baker", "order": 4, "original_name": "Dee Bradley Baker", "popularity": 14.248, "profile_path": "/9oFnToDZWp0I484s7Ua1EzNQQ2m.jpg" }, { "adult": false, "character": "Jeff Fischer (voice)", "credit_id": "5eff3032f031740037523f8a", "gender": 2, "id": 5211, "known_for_department": "Acting", "name": "Jeff Fischer", "order": 2073, "original_name": "Jeff Fischer", "popularity": 2.389, "profile_path": "/wC4wsWAYZ51FNCb33GpDiCUrFDw.jpg" } ]
Example:
[]
Example:
1433
⌘I